Bug 91420 - date recognition in DateValue
Summary: date recognition in DateValue
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 ta...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-05-20 23:57 UTC by Markus Mohrhard
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2015-05-20 23:57:17 UTC
Calc currently does not recognize "Jan1, 2015" as a valid date format. Sadly excel recognizes it which causes some interop problems.
Comment 1 Markus Mohrhard 2015-05-20 23:58:20 UTC
@Eike: would it be easily possible to recognize that as number format without fully supporting it? Like mapping it during format recognition to the same one as "Jan 1, 2015"?
Comment 2 Eike Rathke 2015-06-01 12:54:55 UTC
That already worked at some time..
Comment 3 Commit Notification 2015-06-01 14:38:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe2c7b25152df4c89e44c6516081d43d68075736

Resolves: tdf#91420 "Jan1, 2015" is a valid date

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-01 15:10:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e7a17ad3a0c0f30d70bd4166f075e6c253debad&h=libreoffice-5-0

Resolves: tdf#91420 "Jan1, 2015" is a valid date

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2015-06-01 15:11:22 UTC
Pending review at https://gerrit.libreoffice.org/16018 for 4-4
Comment 6 Commit Notification 2015-06-02 08:06:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd4f115484e9955045a50131c84685823a5af078&h=libreoffice-4-4

Resolves: tdf#91420 "Jan1, 2015" is a valid date

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.